Subject: Re: bug#26345: [PATCH] Handle renamed files when cycling through revisions

From: Sean Whitton <[email-masked]>
Date: Tue, 29 Jul 2025 14:18:51 +0100

Hello,

On Sat 26 Jul 2025 at 10:14pm +02, Jakub Ječmínek via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> Sean Whitton <[email-masked]> writes:
>
>>>> Seems like this needs to be investigated before we can proceed.
>>> I've tested various scenarios and haven't encountered any issues with the
>>> current implementation. It would be great if you could test the change as
>>> well, in case there are edge cases I missed.
>>
>> I think that we need to see an argument in terms of the definition of
>> the file-name-changes backend function that demonstrates that your
>> approach will always work:
>>
>> ;;   Return the list of pairs with changes in file names in REV.  When
>> ;;   a file was added, it should be a cons with nil car.  When
>> ;;   deleted, a cons with nil cdr.  When copied or renamed, a cons
>> ;;   with the source name as car and destination name as cdr.
>
> My approach updates the FILE argument only if the file name has changed
> in the given revision; otherwise, it keeps the name unchanged. I’m not
> sure if it will **always** work, but it does fix the issue at hand. I'm
> sorry, but I can't provide any further arguments in favor of this
> change.

Thanks for your reply.
Would you be able to test Dmitry's patch, please?

-- 
Sean Whitton